#include<stdio.h>
main()
{
	int n,l,indeks=-1,i;
	scanf("%d",&n);
	int a[n];
	scanf("%d",&l);
	for(i=1;i<=n;i++)
	{
		scanf("%d",&a[i]);
	}
	for(i=1;i<=n;i++)
	{
		if(l>=a[i])
		{
			indeks=i;
			break;
		}
	}
	printf("%d",indeks);
}